<!DOCTYPE html>
<html lang="en">
    <head>

        <title>
            {% block title %}

            {% endblock title %}
        </title>
    </head>
        <body>
            <header>
                <nav>
                    {% block nav %}
                    <ul>
                        {% if request.user.is_authenticated %}
                            <li><a href="{% url "logout" %}">Logout</a></li>
                            <li><a href="{% url "show_my_tasks" %}">My tasks</a></li>
                            <li><a href="{% url "list_projects" %}">My projects</a></li>
                        {% else %}
                            <li><a href="{% url "signup" %}">Signup</a></li>
                            <li><a href="{% url "login" %}">Login</a></li>
                        {% endif %}
                    </ul>
                     {% endblock nav %}
                </nav>
            </header>
            <main>
               {% block main %}

               {% endblock main %}
            </main>
            <footer></footer>
        </body>
</html>
